<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["repairId"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }

    //view repair information

    if (@$_GET['repairId'] != "") {

      @$repairId = mysql_prep($_GET['repairId']);

      $repairSet = find_repaired_by_id($repairId);

      if(!$repairSet){

        $error = array('repairDetails' => 'something went wrong');
        exit(json_encode($error));
      } 

      //repair details
      $repairDetails = array("repairDetails" => $repairSet);

      exit(json_encode($repairDetails));
    
    }  

  
  }else{

    exit(json_encode(array("error" => "unauthorised") ));
  }





